## kgb-bot 1.05

=== Makefile ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl

Build: Build.PL
	$(PERL) $<

all: build

build install test manifest: Build
	./Build $@

orig:
	[ ! -e debian/rules ] || $(MAKE) -f debian/rules clean
	$(MAKE) Build
	./Build $@

dist: manifest
	./Build $@

clean:
	[ ! -e Build ] || ./Build $@

realclean distclean: clean
	[ ! -e MANIFEST ] || rm MANIFEST
	[ ! -e META.yml ] || rm META.yml

# vim: noet

## kgb-bot 1.15

=== debian/changelog ===
kgb-bot (1.15-2) unstable; urgency=low

  * client: denote libfile-touch-perl dependency to a recommendation
  * bot: require client 1.15 for the detect_common_dir move

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 Sep 2011 10:03:37 +0300

kgb-bot (1.15-1) unstable; urgency=low

  * New release

  * Client:
   + use single line note for annotated tags
  * Server:
   + fix single line commits with multi-line explaination
   + no bold revision by default
   + drop (bold) repository name from the notification

 -- Damyan Ivanov <dmn@debian.org>  Wed, 14 Sep 2011 19:54:16 +0300

kgb-bot (1.14-1) unstable; urgency=low

  * Client: add an option to keep the last used server in a directory
  * Client/Server: add support for single line commit notifications
  * add (build-)dependency on libfile-touch-perl

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Aug 2011 23:41:20 +0300

kgb-bot (1.13-1) unstable; urgency=low

  * numerous test improvements
  * fix: no warnings when commits have no author
  * bot: log repository on authentication failure
  * put tag name in changes for plain tags too
  * bot: always decode parameters

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Aug 2011 18:48:16 +0300

kgb-bot (1.10-1) unstable; urgency=low

  * Skip tests requiring SVN::* or Git when these are missing
  * fix dist_name from App::KGB to App-KGB
  * disable indexing of privinc
  * fix a couple of cases of conditional declaration
  * add a Perl::Critic test for conditional declarations
  * bot: do not answer back if no answers are configured.
  * rate-limit autoresponses
  * bump years in debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Aug 2011 16:43:03 +0300

kgb-bot (1.08-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * Client::Git: use --format=raw when describing annotated tags

  [ Salvatore Bonaccorso ]
  * debian/control: Remove libdigest-sha1-perl from Depends for kgb-client
    binary package. 
  * Bump Standards-Version to 3.9.2.

  [ gregor herrmann ]
  * Switch to source format 3.0 (quilt).
  * Bump debhelper compatibility level to 8; remove "--buildsystem=perl_build"
    in debian/rules.
  * debian/control: remove versioned dependency on perl >= 5.10.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Aug 2011 16:52:02 +0300

kgb-bot (1.06-2) unstable; urgency=low

  [ gregor herrmann ]
  * Add a postrm script to remove the log in purge; thanks to Holger Levsen
    and piuparts for the bug report (closes: #605978).
  * Add a logrotate config file.
  * Add /me to Uploaders.
  * debian/copyright: switch to DEP5 formatting.

 -- Damyan Ivanov <dmn@debian.org>  Sun, 05 Dec 2010 17:37:01 +0200

kgb-bot (1.06-1) unstable; urgency=low

  [ gregor herrmann ]
  * kgb-bot:
    - fix typo when accessing global config
    - call polygen_available with full class name

  [ Damyan Ivanov ]
  * kgb-bot: drop the asterix prefix from revision number
  * Makefile: fix (real|dist)clean targets to use ./Build for the real work
  * App::KGB::Change:
    + fix typo in POD
    + make the stringification method public and document it
  * t/52-client-git.t: when comparing changes, force objects to stringify
  * MANIFEST.SKIP: add MYMETA.yml
  * fix typo in Client::Subversion POD

  * Packaging:
   + rules: fix determining package version
   + copyright: point to versioned GPL
   + control: add Homepage

 -- Damyan Ivanov <dmn@debian.org>  Sat, 04 Dec 2010 11:12:31 +0200

kgb-bot (1.05-1) unstable; urgency=low

  [ gregor herrmann, Damyan Ivanov ]
  * kgb-bot: use File::Which to find polygen binary; split out the
    polygen-finding function; add libfile-which-perl to Suggests;
    closes: #593631 -- can't access /usr/bin/polygen
  * kgb-bot: check existence of polygen binary just before using it;
    closes: #593633 -- dies when polygen is removed after daemon startup
  * any problems in finding/running polygen binary are logged only when debug
    is enabled as a counter-measure against remotely-assisted log abuse

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Sep 2010 22:49:25 +0300

kgb-bot (1.04-1) unstable; urgency=low

  * use Digest::SHA from core instead of ::SHA1
  * remove references to Svn::* from Build.PL
    Closes: #582739 (by working around #589812)
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 03 Aug 2010 22:33:23 +0300

kgb-bot (1.03-1) unstable; urgency=low

  * New upstream release
    + adds rotocol v2 with the ability to explicitly specify revision prefix,
      which is 'r' for Subversion and empty otherwise
  * Standardss-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Apr 2010 23:40:15 +0300

kgb-bot (1.01-3) unstable; urgency=medium

  * Make 'restart' init.d script action stop and re-start the daemon as
    directed by the policy. Closes: #566004. Thanks to Evgeni Golov.

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Jan 2010 18:40:15 +0200

kgb-bot (1.01-2) unstable; urgency=low

  [ gregor herrmann ]
  * Build depend on locales-all and run tests under a UTF-8 locale
    (closes: #560657).

  [ Damyan Ivanov ]
  * add a watch file

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Dec 2009 22:27:36 +0200

kgb-bot (1.01-1) unstable; urgency=low

  * New upstream release
    + Fixex client when cross-branch/module commits are made

 -- Damyan Ivanov <dmn@debian.org>  Sat, 05 Dec 2009 16:16:02 +0200

kgb-bot (1.00-1) unstable; urgency=low

  * New upsream release
    + Fixes support for unicode commit messages

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 Dec 2009 19:34:35 +0200

kgb-bot (0.16-1) unstable; urgency=low

  * New upstream release

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 Nov 2009 18:49:49 +0200

kgb-bot (0.15-1) unstable; urgency=low

  * New upstream release
  * Split Git support in kgb-client-git
    - avoids a bunch of dependencies being installed with the server
  * kgb-bot: drop polygen and libipc-run-perl to Recommends

 -- Damyan Ivanov <dmn@debian.org>  Sat, 07 Nov 2009 16:22:01 +0200



=== debian/control ===
Source: kgb-bot
Section: devel
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
 perl (>= 5.10.1) | libautodie-perl,
 libclass-accessor-perl,
 libfile-touch-perl,
 libipc-run-perl,
 libipc-system-simple-perl,
 libpoe-component-irc-perl (>= 5.56),
 libpoe-component-server-soap-perl,
 libpoe-perl,
 libproc-pid-file-perl,
 libschedule-ratelimiter-perl,
 libsoap-lite-perl,
 libsvn-perl,
 libtest-compile-perl,
 libtest-pod-coverage-perl,
 libtest-pod-perl,
 perl (>= 5.10.1) | libtest-simple-perl (>= 0.92),
 libyaml-perl,
 git-core,
 subversion,
 locales-all
Vcs-Svn: svn://svn.debian.org/kgb/kgb/
Vcs-Browser: http://svn.debian.org/viewsvn/kgb/kgb/
Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>, Damyan Ivanov <dmn@debian.org>,
 gregor herrmann <gregoa@debian.org>
Standards-Version: 3.9.2
Homepage: http://kgb.alioth.debian.org/

Package: kgb-bot
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, adduser,
 libpoe-component-irc-perl (>= 5.56),
 libpoe-component-server-soap-perl,
 libpoe-perl,
 libproc-pid-file-perl,
 libschedule-ratelimiter-perl,
 libyaml-perl,
 kgb-client (>= 1.15)
Suggests: polygen, libipc-run-perl, libfile-which-perl
Description: IRC collaboration bot
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occures.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the server-side daemon, kgb-bot, which is responsible
 for relaying commit notifications to IRC.

Package: kgb-client
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libclass-accessor-perl,
 libsoap-lite-perl,
 libsvn-perl,
 libyaml-perl
Recommends: kgb-client-git,
 libfile-touch-perl
Suggests: kgb-bot
Description: client for KGB (IRC collaboration bot)
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occures.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the client-side program, kgb-client, which is supposed
 to be used as an hook in your version control system and sends the
 notifications to the KGB daemon.
 .
 Currently supported version control systems are:
  * Subversion
  * Git
 .
 Note that Git support is provided by a separate package, kgb-client-git

Package: kgb-client-git
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 git-core,
 kgb-client,
 libipc-run-perl
Enhances: kgb-client
Description: client for KGB (IRC collaboration bot) - Git support
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occures.
 .
 This package adds support to Git version control system to kgb-client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_compress:
	dh_compress -Xexamples

PKG_VER := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \(.\+\)-[^-]\+$$/\1/')
MOD_VER := $(shell perl -Ilib -MApp::KGB -e'print $$App::KGB::VERSION')
override_dh_auto_test:
	LANG=bg_BG.utf8 LC_ALL=bg_BG.utf8 dh_auto_test
	[ "$(PKG_VER)" = "$(MOD_VER)" ] \
	    || ( echo "Package version ($(PKG_VER)) doesn't match module version ($(MOD_VER))"; exit 1 )

## kgb-bot 1.25

=== debian/changelog ===
kgb-bot (1.25-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.
    - debian/rules: Delete test on versions, as it always fails with Ubuntu
      versioning.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 18 Dec 2012 20:34:26 -0500

kgb-bot (1.25-1) unstable; urgency=low

  * New upstream release
    + slignt improvement of CVS-related documentation
    + added support for using IRC notices instead of ordinary messages
    + added support for disabling colors

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Dec 2012 14:25:01 +0200

kgb-bot (1.24-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1082643). Remaining changes:
    - debian/control: build dependency on language-pack-bg-base and deleted
      build dependency on missing locales-all. This fixes a FTBFS
    - debian/rules: deleted test on versions as it always fails with ubuntu
      versioning

 -- Vibhav Pant <vibhavp@gmail.com>  Sat, 24 Nov 2012 18:04:59 +0530

kgb-bot (1.24-1) unstable; urgency=low

  * New release. See Changes for details. Closes: #691562.
  * debian/control: Add missing App::KGB::Client::RelayMsg module.
  * debian/control: Make build dependency on libtest-compile-perl
    versioned.
  * debian/NEWS: add NEWS file for the port change
  * debian/control: fix libmodule-build-perl version

 -- Martín Ferrari <tincho@debian.org>  Thu, 22 Nov 2012 11:54:21 +0000

kgb-bot (1.23-1ubuntu1) raring; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: build dependency on language-pack-bg-base and deleted
      build dependency on missing locales-all. This fixes a FTBFS
    - debian/rules: deleted test on versions as it always fails with ubuntu
      versioning

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 31 Oct 2012 12:07:00 +0100

kgb-bot (1.23-1) unstable; urgency=low

  * t/compile*: use Test::Compile::Internal in order to show verbose errors
  * Server:
    + add --debug command line switch
    + replace --config-dir option with 'include:' configuration item
      add 'include: "/etc/kgb-bot/kgb.conf.d"' to the default config
    + default pid_dir to /var/run/kgb-bot
  * Documentation:
    + add manuals for kgb.conf and kgb-client.conf
    + pod.t: test documentation in man*/ too
    + give example for gitweb URL
  * Client:
    + show expanded web-link in verbose mode
    + dump processed configuration in verbose mode
    + shorten_url: really return plain URL if shortening is not enabled
    + send_changes: detailed dump in verbose mode
    + introduce module-and-branch-re setting and deprecate
      branch-and-module-re-swap

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Oct 2012 21:13:44 +0300

kgb-bot (1.22-1) unstable; urgency=low

  [ gregor herrmann ]
  * kgb-add-project: document the new --dir option
  * Install /etc/kgb-bot/kgb.conf.d directory into kgb-bot package.
  * add kgb-split-config script for splitting monolythic config into
    per-project files

  [ Damyan Ivanov ]
  * Add API documentation (JSON-RPC only)
  * Server:
    + prepend all IRC strings with a hidden character to avoid addressing
    + check permissions of the conf.d directory
    + pass --config-dir too on restart
    + honour --foreground when reloading and don't reopen the log
    + change the delimiters around web links to make konsole users' life
      easier
    + refuse to load world-readable configuration files
  * fix a bug in determining the longest common directory in a change set

 -- Damyan Ivanov <dmn@debian.org>  Sun, 14 Oct 2012 11:30:10 +0300

kgb-bot (1.21-1) unstable; urgency=low

  * Server:
    + fix exception handling
    + better error messages
  * Debli: RPC returns the key only, prepend 'http://deb.li/'

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Oct 2012 23:00:33 +0300

kgb-bot (1.20-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * kgb-add-project: avoid using 'keys($hashref)' which requires too recent perl
  * client:
   + add --repository to synopsis
   + fix --repository in CVS example
   + CVS: silence debugging output
   + WWW:Shorten::Debli implementation (uses deb.li for URL shortening)
   + determine default repository type from the environment
     (makes --repository useless)
   + determine default module from git directory
     (makes --module redundant for Git)
   + allow explicit protocol configuration
   + saving of last contacted server -- in a separate method
  * server:
   + ensure trailing \n in KGB->out
   + note repository id on internal errors
   + conf.d/*.conf style configuration
   + use exceptions for handling argument errors
   + turn on utf8 mode on STDOUT/ERR
   + use shorter timestamp representation
  * client and server:
   + protocol 4 (JSON-RPC)
   + plain message relaying (Closes: #689641)
  * packaging:
   + install Client::Fake in kgb-client package (Closes: #689984)
   + add libjson-perl to kgb-bot Depends

  [ gregor herrmann ]
  * some spellchecking in the POD

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Oct 2012 22:25:21 +0300

kgb-bot (1.19-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * bot: add timestamp to log messages
  * bot: use KGB->out() instead of plain warn() for consistent log messages
  * bot: tighten auto-responce rate-limit to stop storms in the first screen
  * bot: silently ignore empty changes
  * bot: do not crash on internal errors while processing requests

  [ gregor herrmann ]
  * kgb-add-project: sort the channel hashes to make sure "name" is the first
    key.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Oct 2012 21:20:09 +0300

kgb-bot (1.18-1) unstable; urgency=low

  * bot: fix channel-must-have-a-repository check for broadcast channels

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Oct 2012 14:07:27 +0300

kgb-bot (1.17-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * improve wording of web-link description


=== debian/control ===
Source: kgb-bot
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
                     libclass-accessor-perl,
                     libfile-touch-perl,
                     libipc-run-perl,
                     libipc-system-simple-perl,
                     libjson-perl,
                     libjson-rpc-perl,
                     libmodule-build-perl (>= 0.400000) | perl (>= 5.17.1),
                     libpoe-component-irc-perl,
                     libpoe-component-server-soap-perl,
                     libpoe-perl,
                     libproc-pid-file-perl,
                     libschedule-ratelimiter-perl,
                     libsoap-lite-perl,
                     libsvn-perl,
                     libtest-compile-perl (>= 0.19),
                     libtest-pod-coverage-perl,
                     libtest-pod-perl,
                     libwww-shorten-perl,
                     libyaml-perl,
                     git-core,
                     subversion,
                     language-pack-bg-base
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/viewsvn/kgb/kgb/
Vcs-Svn: svn://svn.debian.org/kgb/kgb/
Homepage: http://kgb.alioth.debian.org/

Package: kgb-bot
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         adduser,
         libjson-perl,
         libpoe-component-irc-perl,
         libpoe-component-server-soap-perl,
         libpoe-perl,
         libproc-pid-file-perl,
         libschedule-ratelimiter-perl,
         libyaml-perl,
         kgb-client (>= 1.15)
Suggests: polygen,
          libipc-run-perl,
          libfile-which-perl
Description: IRC collaboration bot
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the server-side daemon, kgb-bot, which is responsible
 for relaying commit notifications to IRC.

Package: kgb-client
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-perl,
         libsoap-lite-perl,
         libsvn-perl,
         libyaml-perl
Recommends: kgb-client-git,
            libfile-touch-perl,
            libjson-perl,
            libjson-rpc-perl,
            libwww-shorten-perl
Suggests: kgb-bot
Description: client for KGB (IRC collaboration bot)
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the client-side program, kgb-client, which is supposed
 to be used as an hook in your version control system and sends the
 notifications to the KGB daemon.
 .
 Currently supported version control systems are:
  * Subversion
  * Git (via kgb-client-git package)
  * CVS

Package: kgb-client-git
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         git-core,
         kgb-client,
         libipc-run-perl
Enhances: kgb-client
Description: client for KGB (IRC collaboration bot) - Git support
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 This package adds support of Git version control system to kgb-client.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,3 @@
 MOD_VER := $(shell perl -Ilib -MApp::KGB -e'print $$App::KGB::VERSION')
 override_dh_auto_test:
 	LANG=bg_BG.utf8 LC_ALL=bg_BG.utf8 dh_auto_test
-	[ "$(PKG_VER)" = "$(MOD_VER)" ] \
-	    || ( echo "Package version ($(PKG_VER)) doesn't match module version ($(MOD_VER))"; exit 1 )

## kgb-bot 1.27

=== debian/changelog ===
kgb-bot (1.27-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.
    - debian/rules: Delete test on versions, as it always fails with Ubuntu
      versioning.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 09 Jun 2013 22:58:29 +0530

kgb-bot (1.27-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * New upstream release
    + now supports including full author name in the notification
      Closes: #700319 -- kgb-bot should allow to use the real name or entire
      mail address in messages
    + supports entirely client-constructed notifications
      Closes: #693258 -- Permit output of the repo-id string

  [ gregor gerrmann ]
  * Install the new kgb-protocol(7) manpage.
    Thanks to Andrea Veri for noticing it was missing.
  * debian/copyright: Update years of copyright.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 29 May 2013 21:07:27 +0300

kgb-bot (1.26-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.
    - debian/rules: Delete test on versions, as it always fails with Ubuntu
      versioning.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 30 Apr 2013 13:45:46 -0400

kgb-bot (1.26-1) unstable; urgency=low

  * update kgb-client.conf manual with the new options
  * rework Git branch walking
    avoids multiple notification about merged commits (Closes: #698133)
  * init: Use user configured in $RUN_AS as owner of logfiles.
    Otherwise log files created as 'Debian-kgb' can't be written to if the
    RUN_AS variable is modified
    Thanks to Alexander Barton for the patch.
    (Closes: #699027)
  * notify even if log message is invalid UTF-8
    notification with log of "(log is invalid UTF-8)" is better than
    no notification at all
    (Closes: #691183)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 28 Mar 2013 08:41:36 +0200

## kgb-bot 1.31

=== debian/changelog ===
kgb-bot (1.31-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 May 2014 15:44:28 +0200

kgb-bot (1.31-1) unstable; urgency=low

  * client: default to using json
  * remove author-login from default message templates
  * TODO: plans for implementing central configuration
  * import dirname in Client.pm
  * configure test git repositories wheter test bot is running or not
  * remove project from default configuration
  * update documentation about default message templates
  * add author_name field for CVS commits
  * client: decode arguments given to --relay-msg
  * require JSON::XS instead of plain JSON

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Aug 2013 09:41:02 +0200

kgb-bot (1.30-1) unstable; urgency=low

  * bot: fix colorize_change_wrapper

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Aug 2013 15:57:55 +0200

kgb-bot (1.29-1) unstable; urgency=low

  [ Martín Ferrari ]
  * Fix invalid Vcs-Svn field.
  * Check BOT_ENABLED before starting the bot in the restart action.

  [ gregor herrmann ]
  * Install missing App/KGB/Painter.pm and other files.
  * debian/rules: call dh_install with --fail-missing to avoid forgetting new
    files in the future.
  * debian/control: kgb-client: move libjson-* from Recommends to Depends.
    Thanks to Pete Wyckoff for the hint in #718286.
  * debian/control: make Vcs-* fields canonical. Thanks, lintian.
  * debian/control: use git instead of git-core, the package was renamed some
    years ago.
  * Fix failure with Safe-2.35.
    Thanks to Petr Písař <ppisar@redhat.com> for the patch.

  [ Damyan Ivanov ]
  * detect UTF8 in full author name
  * add kgb.enable-branch-ff-notification Git option (true by default) for
    managing fast forward notifications
  * declare test dependencies in test_requires
  * client: add --debug option
  * chomp git-config-determined config file path before usage
  * replace ~~ (smartmatch) usage. ~~ is deprecated in perl 5.18
  * replace given/when usage, declared experimental in perl 5.18
  * client: verify config file structures
  * git client: do not die on unknown ref updates (see #706375)
  * git client: squash creation if numerous tags (>5 currently)
  * configurable tag squash threshold/message
  * correct POD about Client->format_message arguments
  * bot: allow setting of "" color to disable colouring of a given item
  * bot: use App::KGB::Painter for coloring
  * bot: add --simulate-color option enabling color codes in the dump file
  * include tag name in the Tag object created from annotated tags
  * merge back kgb-client-git package into kgb-client
  * git client: allow specifying project-id via git-config
  * t/50-client.t: skip tests with UTF-8 commit messages (subversion) unless
    C_TYPE is known to use UTF-8. RT#80664
  * adapt to newer JSON-RPC which renamed the client module (RT#80666)
  * add versions to all modules to satisfy the CPAN indexer
  * make sure that strict and warnings are used everywhere

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Aug 2013 00:59:54 +0200

=== debian/control ===
Source: kgb-bot
Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
                     libclass-accessor-perl,
                     libfile-touch-perl,
                     libipc-run-perl,
                     libipc-system-simple-perl,
                     libjson-xs-perl,
                     libjson-rpc-perl,
                     libmodule-build-perl (>= 0.400000) | perl (>= 5.17.1),
                     libpoe-component-irc-perl,
                     libpoe-component-server-soap-perl,
                     libpoe-perl,
                     libproc-pid-file-perl,
                     libschedule-ratelimiter-perl,
                     libsoap-lite-perl,
                     libsvn-perl,
                     libtest-compile-perl (>= 0.19),
                     libtest-pod-coverage-perl,
                     libtest-pod-perl,
                     libwww-shorten-perl,
                     libyaml-perl,
                     git,
                     subversion,
                     locales-all
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kgb/kgb.git
Vcs-Git: git://anonscm.debian.org/kgb/kgb.git/
Homepage: http://kgb.alioth.debian.org/

Package: kgb-bot
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         adduser,
         libipc-run-perl,
         libjson-xs-perl,
         libpoe-component-irc-perl,
         libpoe-component-server-soap-perl,
         libpoe-perl,
         libproc-pid-file-perl,
         libschedule-ratelimiter-perl,
         libyaml-perl,
         kgb-client (>= 1.15),
         git
Suggests: polygen,
          libfile-which-perl
Description: IRC collaboration bot
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the server-side daemon, kgb-bot, which is responsible
 for relaying commit notifications to IRC.

Package: kgb-client
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-perl,
         libjson-xs-perl,
         libjson-rpc-perl,
         libsoap-lite-perl,
         libsvn-perl,
         libyaml-perl
Replaces: kgb-client-git (<= 1.28-1~)
Breaks: kgb-client-git (<= 1.28-1~)
Recommends: libfile-touch-perl,
            libwww-shorten-perl
Suggests: kgb-bot
Description: client for KGB (IRC collaboration bot)
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the client-side program, kgb-client, which is supposed
 to be used as an hook in your version control system and sends the
 notifications to the KGB daemon.
 .
 Currently supported version control systems are:
  * Git
  * Subversion
  * CVS

## kgb-bot 1.33

=== debian/changelog ===
kgb-bot (1.33-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add build dependency on language-pack-bg-base and delete build 
      dependency on missing locales-all. This fixes an FTBFS.
      (Ubuntu specific change)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 17 Nov 2014 12:21:23 +0530

kgb-bot (1.33-2) unstable; urgency=medium

  * add patch fixing tests in build environments where the current user has no
    full name (Closes: #769239 -- FTBFS)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 15 Nov 2014 19:03:05 +0000

kgb-bot (1.33-1) unstable; urgency=medium

  * TestBot: set $ENV{USER} to getpwuid($>) to fix discrepancy when running
    under pbuilder
  * Standards-Version: 3.9.4 → 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 06 Aug 2014 20:01:47 +0000

kgb-bot (1.32-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * bot: store real path to the pid directory
  * bot: remove PID file on exit
  * fix utf-8 locale detection in 50-client.t
  * TestBot: test helper module for running a real bot for tests
  * 50-client.t: check real bot output
  * TestBot: report bot PID when starting/stopping
  * convert 52-client-git to TestBot
  * fix detection of common changes path when using msg_template
  * require File::Remove and Test::Differences for tests
  * convert 53-client-git-merges.t to TestBot
  * convert 54-client-git-squash.t to TestBot
  * convert t/55-client-git-merges-ff.t to TestBot
  * convert t/56-client-git-ff-merge-2.t to TestBot
  * convert t/57-client-git-squash-tags.t to TestBot
  * avoid double-spaces when formatting messages
  * bot: honour broadcast channels setting when relaying messages too

  [ gregor herrmann ]
  * kgb.conf(5): improve documentation for server_addr variable.
    (Closes: #744689)

  [ Damyan Ivanov ]
  * kgb-client: add support for setting Git-specific options via the
    configuration file/command line
  * point to client backends for backend-specific configuration options
  * use encoding 'utf8' --> use utf8
  * replace given/when with chained if/elsif/else
  * missing newline between =items (POD)
  * update FSF address
  * bump years of copyrigght
  * put GPL_2 as license in Build.PL (gpl2 is not recognised anymore)
  * move gathering of data from new() to _detect_commits
  * a new internal method, _reset, for resetting the parsed reflog data
  * use strict and warnings in tests
  * tests: replace explicit plans with done_testing()
  * die when the reflog is empty

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 19:48:20 +0000

kgb-bot (1.31-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 09 Nov 2013 19:34:21 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: kgb-bot
-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>
@@ -8,6 +9,7 @@
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl,
                      libclass-accessor-perl,
+                     libfile-remove-perl,
                      libfile-touch-perl,
                      libipc-run-perl,
                      libipc-system-simple-perl,
@@ -22,14 +24,16 @@
                      libsoap-lite-perl,
                      libsvn-perl,
                      libtest-compile-perl (>= 0.19),
+                     libtest-differences-perl,
+                     libtest-exception-perl,
                      libtest-pod-coverage-perl,
                      libtest-pod-perl,
                      libwww-shorten-perl,
                      libyaml-perl,
                      git,
                      subversion,
-                     locales-all
-Standards-Version: 3.9.4
+                     language-pack-bg-base
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kgb/kgb.git
 Vcs-Git: git://anonscm.debian.org/kgb/kgb.git/
 Homepage: http://kgb.alioth.debian.org/

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,9 @@
 MOD_VER := $(shell perl -Ilib -MApp::KGB -e'print $$App::KGB::VERSION')
 override_dh_auto_test:
 	LANG=bg_BG.utf8 LC_ALL=bg_BG.utf8 dh_auto_test
+	[ "$(PKG_VER)" = "$(MOD_VER)" ] \
+	    || ( echo "Package version ($(PKG_VER)) doesn't match module version ($(MOD_VER))"; exit 1 )
+
+override_dh_install:
+	dh_install --fail-missing
+

=== debian/watch ===
version=3
https://alioth.debian.org/frs/?group_id=100408 \
    .+/kgb-bot_([\d.]+)\.orig\.tar\.gz

## kgb-bot 1.34

=== debian/changelog ===
kgb-bot (1.34-2) unstable; urgency=medium

  * Add patch to fix version comparison in a test.
    Thanks to Santiago Vila for the bug report.
    (Closes: #842722)
  * Add dependency on lsb-base to kgb-bot.
    Needed for the init script.
    Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Oct 2016 18:44:25 +0100

kgb-bot (1.34-1) unstable; urgency=medium

  [ gregor herrmann ]
  * kgb-client.conf(5): change example shortening service from Metamark to
    TinyURL, following the example of WWW::Shorten. Metamark is not
    accepting new URLs anymore.

  [ Damyan Ivanov ]
  * also mention cgit in the web-link description
  * add a new script, kgb-ci-report. used to notify about CI failures
  * bump years of copyright

  [ Pierre Schweitzer ]
  * kgb-client: use login name when the full user name is not available
    Closes: #772747
  * Remove ${{project/}} token from the example multi-line message
    configuration (already removed from the single-line configuration)
    Closes: #772749
  * Fix multiline message template
    Closes: #772750

  [ Damyan Ivanov ]
  * TestBot:
    - when waiting for the PID file to appear, also see if it has any content
    - close the PID file after reading it
  * kgb-bot:
    - add the PID to the "Listening on ..." line in the log
    - rewrite the PID management code using OO interface of Proc::PID::File.
      This fixes a rather nasty hardly-reproducible bug causing the PID file
      to be re-created after being removed, which may fool the tests and make
      them hang.
      Closes: #782079
  * kgb-client: add libwww-perl to Recommends, needed by kgb-ci-report

  [ gregor herrmann ]
  * Update (build) dependencies.
    - build-depend on libmodule-build-perl only
      Closes: #834597
    - move libmodule-build-perl to Build-Depends.
    - remove unneeded version from kgb-client dependency
    - add build dependency on libdbd-pg-perl
  * Update Vcs-* headers-.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump debhelper compatibility level to 9.
  * Build.PL:
    - install new kgb-ci-report script
    - add DBD::Pg as requirement in Build.PL
  * debian/*: Switch some URLs to HTTPS. Thanks to duck.
  * Fix some typos in the POD. Thanks to lintian.
  * Drop fix-username-in-tests.patch; applied.
  * Update years of packaging copyright.

  [ Martín Ferrari ]
  * App::KGB::Client::ServerRef:
    - More consistent verbose reporting of server communication.
    - Add --dry-run option for debugging.
    - Bug fix: use correct method when sending a commit info with
      default protocol.
  * App::KGB::Client: format_message: Don't lose data.
    When the commit object does not have all the info, it still overwrites
    data coming from the extra arguments. It meant SVN commits were lacking
    branch and module information completely.

  [ gregor herrmann ]
  * Fix t/52-client-git.t to work with newer git versions as well.
    Since 2.9.0, git allows merging branches without a common ancestors only
    when "--allow-unrelated-histories" is passed. This has lead to test
    failures.
    Pass the parameter conditionally.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Sep 2016 18:26:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: kgb-bot
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
+Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9),
+               libmodule-build-perl
 Build-Depends-Indep: perl,
                      libclass-accessor-perl,
+                     libdbd-pg-perl,
+                     libdpkg-perl,
                      libfile-remove-perl,
                      libfile-touch-perl,
                      libipc-run-perl,
                      libipc-system-simple-perl,
                      libjson-xs-perl,
                      libjson-rpc-perl,
-                     libmodule-build-perl (>= 0.400000) | perl (>= 5.17.1),
                      libpoe-component-irc-perl,
                      libpoe-component-server-soap-perl,
                      libpoe-perl,
@@ -32,11 +33,11 @@
                      libyaml-perl,
                      git,
                      subversion,
-                     language-pack-bg-base
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kgb/kgb.git
-Vcs-Git: git://anonscm.debian.org/kgb/kgb.git/
-Homepage: http://kgb.alioth.debian.org/
+                     locales-all
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/kgb/kgb.git
+Vcs-Git: https://anonscm.debian.org/git/kgb/kgb.git/
+Homepage: https://kgb.alioth.debian.org/
 
 Package: kgb-bot
 Architecture: all
@@ -49,9 +50,10 @@
          libpoe-component-server-soap-perl,
          libpoe-perl,
          libproc-pid-file-perl,
+         lsb-base,
          libschedule-ratelimiter-perl,
          libyaml-perl,
-         kgb-client (>= 1.15),
+         kgb-client,
          git
 Suggests: polygen,
           libfile-which-perl
@@ -74,11 +76,13 @@
          libsoap-lite-perl,
          libsvn-perl,
          libyaml-perl
-Replaces: kgb-client-git (<= 1.28-1~)
-Breaks: kgb-client-git (<= 1.28-1~)
-Recommends: libfile-touch-perl,
+Recommends: libdpkg-perl,
+            libfile-touch-perl,
+            libwww-perl,
             libwww-shorten-perl
 Suggests: kgb-bot
+Breaks: kgb-client-git (<= 1.28-1~)
+Replaces: kgb-client-git (<= 1.28-1~)
 Description: client for KGB (IRC collaboration bot)
  KGB is an IRC bot, helping people work together by notifying an IRC channel
  when a commit occurs.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-

## kgb-bot 1.48

=== debian/changelog ===
kgb-bot (1.48-1) unstable; urgency=medium

  * add only_branch webhook option
  * webhook: add (via ...) only when *both* user name and email differs
    between author and pusher

 -- Damyan Ivanov <dmn@debian.org>  Sat, 21 Apr 2018 09:12:21 +0000

kgb-bot (1.47-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * webhook/merge request: drop "revision" output and put the action in square
    brackets
  * set default params in one place
  * add shorten_urls webhook parameter, defaults to 1

  [ James Clarke ]
  * webhook:
    + Better tag deletion messages
    + Show branch deletions (Closes: #895283)

  [ Damyan Ivanov ]
  * fix warning about double "my" in 70-webhook-push.t
  * fix 52-client-git.t and 53-client-git-merges.t with Git 1.17.
    (Closes: 894775)

  [ Colin Finck ]
  * Git client: Support an "author-via" placeholder in the message template,
    which shows the author and committer name if both are different.

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 Apr 2018 13:56:20 +0000

kgb-bot (1.46-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * webhook/push: add always_squash_branch parameter,
    defaults to [ 'upstream', 'upstream/master' ]
  * fix stats counting
  * bot: reload shortening service when short_url_service changes in the
    config
  * document 'short_url_service' in kgb.conf(5)

  [ James Clarke ]
  * Use ! rather than # for GitLab merge requests
  * Use iid rather than global id for merge requests and issues

  [ gregor herrmann ]
  * bot: rename "signed-tags" to "signed tags", as in the client.
  * Add debian/gbp.conf: Turn off pristine-tar feature.

  [ James Clarke ]
  * Set upstream-tree to SLOPPY since we have no upstream tags nor branch

  [ Damyan Ivanov ]
  * add James Clarke to copyright statements
  * update Upstream-Contact and Source fields in debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Mar 2018 05:25:11 +0000

kgb-bot (1.45-1) unstable; urgency=medium

  * kgb-bot.service: run ExecStartPre commands as root (creation/permissions
    of log file)
  * point '/ctcp source' to salsa
  * fix short url code broken in 1.44
  * kgb-bot.service: set TZ=UTC
  * collect some stats - run time, notification counts
  * react to !stats and !statsreset
  * update HOWTO.release
  * fix a mispaste in t/76-webhook-pipeline.t missing a test and a double "my"
    declaration
  * convert debian/watch to a dummy one - there is no other upstream but us
  * autopkgtest: skip smoke tests not supposed to be run with installed
    package
  * shorten compare URL

 -- Damyan Ivanov <dmn@debian.org>  Tue, 06 Mar 2018 06:30:01 +0000

kgb-bot (1.44-1) unstable; urgency=medium

  * bot/webhook: shorten git hashes in URLs
    (as a fallback when URL shortening has problems or is not configured)
  * webhook: no heuristics when determining which params are arrays
  * webhook/pipeline: add support for pipeline_only_status URL parameter
    (multiple values)
    (Closes: #891870)
  * webhook: colorize pipeline success/failure in reverse green/red

 -- Damyan Ivanov <dmn@debian.org>  Sat, 03 Mar 2018 07:45:41 +0000

kgb-bot (1.43-1) unstable; urgency=medium

  * improve pipeline notifications
  * improve commit squash handling

 -- Damyan Ivanov <dmn@debian.org>  Fri, 02 Mar 2018 06:17:51 +0000

kgb-bot (1.42-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * Speed-up KGB joining of channels and setup.
    Monkey-patch the delayed command dispatcher in PoCO::IRC to ignore
    flood-prevention measures for high-priority messages (JOIN, MODE, etc), now
    joins of many channels can be completed in a few seconds.

  [ Damyan Ivanov ]
  * webhooks: make use_irc_notices=1 the default, as advertised

 -- Damyan Ivanov <dmn@debian.org>  Mon, 26 Feb 2018 13:21:58 +0000

kgb-bot (1.41-1) unstable; urgency=medium

  * mark not released versions as 'Not Released' to make Test::CPAN::Changes
    happy
  * add a test ensuring the current release has an entry in Changes
  * webhook: fix accounting the `use_irc_notices` option

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Feb 2018 08:52:53 +0000

kgb-bot (1.40-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/rules: switch from `dh_install --fail-missing' to `dh_missing
    --fail-missing' to prepare for the former's removal in future
    debhelper compatibility levels.
  * debian/rules: use DEB_VERSION_UPSTREAM instead of stripping the Debian
    revision from DEB_VERSION.
  * debian/rules: move version check to override_dh_auto_configure.
    That way the build fails earlier, and DEB_BUILD_OPTIONS=nocheck is
    honoured.
  * Bump debhelper compatibility level to 10.

  [ Damyan Ivanov ]
  * webhook/push: fix the compare URL when squashing branch updates
  * webhook/push: change the default for squash_threshold from 4 to 20

 -- Damyan Ivanov <dmn@debian.org>  Tue, 20 Feb 2018 21:02:13 +0000

kgb-bot (1.39-1) unstable; urgency=medium

  [ gregor herrmann]
  * Fix URL in Homepage in debian/control.

  [ Damyan Ivanov]
  * webhook/push: handle the case when the author is not the person pushing
    the branch

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Feb 2018 20:35:12 +0000

kgb-bot (1.38-1) unstable; urgency=medium

  * webhok/tag_push:
    + add tag URL
    + recognize signed tags

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Feb 2018 13:06:55 +0000

kgb-bot (1.37-1) unstable; urgency=medium

  * webhooks: support squashing of branch updates

 -- Damyan Ivanov <dmn@debian.org>  Fri, 16 Feb 2018 14:17:08 +0000

kgb-bot (1.36-1) unstable; urgency=medium

  * fix typo (push_tag → tag_push) missing tag push webhook events

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Feb 2018 21:30:14 +0000

kgb-bot (1.35-1) unstable; urgency=medium

  [ gregor herrmann ]
  * WWW::Shorten::Debli: use https for deb.li URLs.
    Thanks to pabs for the pointer.

  [ Damyan Ivanov ]
  * use the interpreter running the test to run the test client
    otherwise the system-wide perl is used, which may be configured


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kgb-bot
-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
+Maintainer: Debian KGB Maintainers <kgb-bot@packages.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libmodule-build-perl
 Build-Depends-Indep: perl,
                      libclass-accessor-perl,
+                     libcpan-changes-perl,
                      libdbd-pg-perl,
                      libdpkg-perl,
                      libfile-remove-perl,
@@ -17,6 +18,8 @@
                      libipc-system-simple-perl,
                      libjson-xs-perl,
                      libjson-rpc-perl,
+                     libmonkey-patch-perl,
+                     libnet-ip-perl,
                      libpoe-component-irc-perl,
                      libpoe-component-server-soap-perl,
                      libpoe-perl,
@@ -34,10 +37,11 @@
                      git,
                      subversion,
                      locales-all
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/kgb/kgb.git
-Vcs-Git: https://anonscm.debian.org/git/kgb/kgb.git/
-Homepage: https://kgb.alioth.debian.org/
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/kgb-team/kgb/
+Vcs-Git: https://salsa.debian.org/kgb-team/kgb.git
+Homepage: https://salsa.debian.org/kgb-team/kgb/wikis/home
+Testsuite: autopkgtest-pkg-perl
 
 Package: kgb-bot
 Architecture: all
@@ -46,6 +50,8 @@
          adduser,
          libipc-run-perl,
          libjson-xs-perl,
+         libmonkey-patch-perl,
+         libnet-ip-perl,
          libpoe-component-irc-perl,
          libpoe-component-server-soap-perl,
          libpoe-perl,
@@ -53,7 +59,7 @@
          lsb-base,
          libschedule-ratelimiter-perl,
          libyaml-perl,
-         kgb-client,
+         kgb-client (= ${binary:Version}),
          git
 Suggests: polygen,
           libfile-which-perl

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
MOD_VER := $(shell perl -Ilib -MApp::KGB -e'print $$App::KGB::VERSION')

%:
	dh $@

override_dh_auto_configure:
	[ "$(DEB_VERSION_UPSTREAM)" = "$(MOD_VER)" ] \
	    || ( echo "Package version ($(DEB_VERSION_UPSTREAM)) doesn't match module version ($(MOD_VER))"; exit 1 )
	dh_auto_configure

override_dh_auto_test:
	LANG=bg_BG.utf8 LC_ALL=bg_BG.utf8 dh_auto_test

override_dh_compress:
	dh_compress -Xexamples

override_dh_missing:
	dh_missing --fail-missing
